Introduction
No contents entries on this page
Contents
Topic functions menu
Menu
This is the first topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Linkar PowerBI Connector is a Linkar Plugin that connects Pick Style / MultiValue Databases with Microsoft PowerBI..

You can easily connect Basic Programmes.... directly with your database, without web services.

Power BI will "understand" your MV Database, including Multivalues and Subvalues. All the Power Bi power is in your hands.

All Files and Files Dictionaries defined in Linkar Schemas will be published in PowerBI.

Linkar PowerBI Connector connects with different MV Databases: OpenQM,D3,Universe, Unidata, jBASE, mvBase. (working in other Databases)

Whatever trademarks are mentioned in these pages belong to their respective owners, who own their Copyright and/or the associated trademarks..

D3, mvBase, MVSP, U2, Unidata, Universe, UniObjects belong to Rocket Software registered trademarks.

QM is a Zumasys Inc. registered trademark.

jBASE and jAGENT are Zumasys Inc. registered trademarks.

Microsoft .NET, Excel, Windows, SQL, PowerBI are Microsoft Corporation trademarks.

Java is a Sun Microsystems, Inc. registered trademark.

Mac is an Apple registered trademark.

Mono is a free and open-source project led by Xamarin, a subsidiary of Microsoft.

Python is a free licence programming language of Python Software Foundation

Node.js is a registered trademark of Joyent, Inc.

Copyright 2018-2020 by Kosday Solutions S.L.


Historical Versions
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Version 2.0 03 MAR 2020

Adapted for use with Linkar Suite 2.0

Version 1.0 01 APR 2019

Launched


Installation
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Expand/collapse expanding elements on page Show/Hide Expanders

In order to use Linkar PowerBI Connector you will need:

· A Linkar Server PRO licence installed with defined EntryPoints pointing to the databases you want to exploit. You can also use an Evaluation Licence. Linkar Power BI Connector does not work with Linkar Lite.

· A Linkar PowerBI Connector installed on the previous Linkar Server. This licence will be unique for your Linkar Server. There are Linkar Power BI connector evaluation licences.

· Linkar Client PowerBI Connector. Libraries and Data Sources. You must install this Client in all the PCs that work with Power BI.

· The Linkar Schemas must be defined. Power BI will see all Visible Schemas and Properties that you have defined.

You can acquire Licences from the KOSDAY website or by e-mail from our sales department.

You need to provide us the Linkar Server SystemID. (You find this in the Licence Data section of the Linkar Manager)

These Licenses will only be valid in this Linkar Server. There are no limits of EntryPoints, Sessions or Clients.

Once the Linkar Power Bi Connector is installed in the Linkar Server, any number of Clients can attach any EntryPoint defined in the server.

Subscription allows you to upgrade to new versions while the subscription is active.

You must follow 2 steps in order to Install Linkar PowerBI Connector:

·Activate Linkar PowerBI Connector in Linkar Server (with Linkar Manager).

·Install Linkar Client PowerBI Connector in the PCs that run PowerBI.
Activating Plugin in the Linkar Server

Be sure you have a PRO or EVALUATION Licence. PLUGINS DO NOT WORK with LITE Licences.

You will receive the Licence data from Kosday. Then, start Linkar Manager and go to the Plugins Node and complete the form with the:

·Plugin Ref

·Serial Number

·Expiry Date

·Activation Key

The plugin will be activated and be fully operational.

Installing Linkar Client PowerBI in the Client PCs

Download the correct client version (32 or 64 bits) from the KOSDAY website PLEASE PAY ATTENTION. This MUST be the POWER BI version, NOT the Windows version.

Decompress and execute the LinkarClientPowerBI.msi installer.

You will now have all the necessary Linkar libraries

Only one more step...


Connect with Linkar
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
This is the last topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • Expand/collapse expanding elements on page Show/Hide Expanders

When you choose the Linkar Data Source a form will be displayed with the credentials that you will need to connect to an EntryPoint.

Linkar Server must have the Power Bi Plugin activated. And all you need is to have Schemas defined.

You can make the connection in two ways:

Navegation Mode between Schemas

You will see all the Schemas defined in the EntryPoint and you may import the tables you require.

The connection data is enough:

Linkar Host | Mandatory | Linkar Server IP or Dns
EntryPoint Name | Mandatory | EntryPoint name in Linkar Server. This must be started.
EntryPoint Port | Mandatory | EntryPoint IP port.
Language | Optional | Language code for the table headings. Languages must be generated in Linkar Schemas.
Custom Variables | Optional | Free text that will be sent to the SUB.LK.MAIN.CONTROL.CUSTOM subroutine.If there is data in this field the subroutine will be called.

The first connection Power Bi will ask you for the Linkar User and Password.

All visible Schemas defined in the EntryPoint will be displayed and you can choose anyone and see its visible Properties.

The Table name format is: EntryPointName.TableName, where the TableName is the name of the defined table in Linkar Schemas. Linkar adds the EntryPoint name in order to be able to import data from different accounts in files with the same name.

Here you will see 2 more tables, these new tables refer to the MV and SV Groups defined in the ORDERS table. This table has a MV Group called MvItems and this MV Group also has an SV Group named SvDeliveryDates. Linkar converts these Groups into new tables related to the Base File.

When you choose the tables required, you will see that the relations between them are automatically loaded.

Some relations have been created using the EqualTO property of Linkar Schemas. For instance, there is a relation between the Orders and the Customers table. This relation was created with the EqualTo properties, defined in the Customers property in the LK.ORDERS Schema.

All visible properties have been loaded and the defined Property Data Type has been converted to the Power BI data type.

Now, it is your turn, enjoy PowerBI......
Direct Query Mode

Linkar will import the result of a define SELECT. This way the data transfer will be optimized. We will not need all the records from all the files.

In this mode we will use the same Credentials as before and more optional data:

Table Name | Mandatory in this mode | Defined table name in Linkar Schemas. For MV, SV Groups use the TableName.MVTableName.SVTableName notation. F.I, if the MvItems group is required in the Orders table you must write Orders.MvItems. All table names must be defined in Schemas.
Select Clause | Mandatory | Use the SELECT syntax in MV databases. You can use property names or dictionary names f.i. : WITH Customer = "1"
Dict Clause | Optional | Which properties or dictionaries are required. Only this data will be imported.
Sort Clause | Optional | As in a Select clause in the database F.i. : BY CODE
Force SQL Mode | Optional | Data will be received in an SQL format.